Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRConstruction/PrintFormat.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRConstruction/PrintFormat.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRConstruction/PrintFormat.cs	(revision 51)
@@ -0,0 +1,937 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+using System.Collections;
+using System.Windows.Forms;
+using System.Diagnostics;
+using Microsoft.VisualBasic;
+using System.Globalization;
+
+using log4net;
+using log4net.Appender;
+using log4net.Repository.Hierarchy;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.DB.Core;
+using ProcessManagement.Forms.DataEntry;
+using ProcessManagement.Forms.ControlsAction;
+using ProcessManagement.Forms.SubForms;
+
+namespace ProcessManagement.Forms.DataEntry
+{
+    partial class FrmDRConstruction
+    {
+        #region 印刷メイン
+        /// <summary>
+        /// 印刷処理
+        /// </summary>
+        public void PrintMain()
+        {
+            //デリゲートの作成
+            m_progressDlg = new SetProgressValueDelegate(SetProgressValue);
+            m_completeDlg = new ThreadCompletedDelegate(ThreadCompleted);
+            m_canceledDlg = new ThreadCanceledDelegate(ThreadCanceled);
+
+            try
+            {
+                // 印刷クラス
+                m_UsedExcel = new UsedExcel();
+                m_ProgressCount = 0;
+
+                // コントロールの表示を変更する
+                this.Invoke(m_progressDlg, new object[] { ++m_ProgressCount });
+
+                //エクセルブックオープン
+                if (!m_UsedExcel.ExcelBookOpen(System.Environment.CurrentDirectory + CommonDefine.s_ExcelOriginalFileName))
+                {
+                    m_rtAns = CommonDefine.RetunAnswer.Answer5;
+                    return;
+                }
+
+                // コントロールの表示を変更する
+                this.Invoke(m_progressDlg, new object[] { ++m_ProgressCount });
+
+                // ページ印刷
+                CommonDefine.RetunAnswer rtAns = PrintPage();
+                if (rtAns != CommonDefine.RetunAnswer.Answer0)
+                {
+                    m_rtAns = rtAns;
+                    return;
+                }
+
+                // 中断処理
+                if (m_Canceled) return;
+
+                List<string> strParaList = new List<string>();
+                strParaList.Add(m_ConstructionBaseInfoDetail.DetailString);
+
+                // 印刷・Excel保存処理
+                if (m_PrintresRet == DialogResult.Yes)
+                {
+                    // +++++++++++++++++++++++++ 印刷 +++++++++++++++++++++++++
+                    m_UsedExcel.ExcelSheetPrint();
+                }
+                else if (m_PrintresRet == DialogResult.No)
+                {
+                    // +++++++++++++++++++++++++ 保存 +++++++++++++++++++++++++
+                    string FilePath = @m_SelectSaveExcel;
+                    // エクセル保存
+                    if (CommonMotions.ChkDirPath(FilePath, true))
+                    {
+                        string wrkFile = "5-1.";
+                        foreach (string ww in strParaList)
+                        {
+                            wrkFile += ww;
+                        }
+                        for (int ix = 0; ix < m_UsedExcel.ExcelBadCharcter.Length; ix++)
+                        {
+
+                            wrkFile = wrkFile.Replace(m_UsedExcel.ExcelBadCharcter[ix], "");
+                        }
+                        // ファイル名作成
+                        FilePath += @"\" + @wrkFile + @s_ExcelBookName;
+
+                        m_UsedExcel.SaveSwitch = true;
+                        m_UsedExcel.ExcelSaveBook(FilePath);
+                    }
+                }
+
+                m_rtAns = CommonDefine.RetunAnswer.Answer0;
+
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                m_rtAns = CommonDefine.RetunAnswer.Answer1;
+            }
+            finally
+            {
+                // 完了したときにコントロールの値を変更する
+                this.Invoke(m_completeDlg);
+
+                // エクセル開放
+                if (m_UsedExcel != null)
+                {
+                    m_UsedExcel.ExcelBookClose();
+                }
+                m_UsedExcel = null;
+
+                //デリゲートの廃棄
+                m_progressDlg = null;
+                m_completeDlg = null;
+                m_canceledDlg = null;
+
+                // ガーベージコレクト
+                GC.Collect();
+            }
+        }
+        #endregion
+
+        #region ページ印刷
+        /// <summary>
+        /// ページ印刷
+        /// </summary>
+        /// <returns></returns>
+        private CommonDefine.RetunAnswer PrintPage()
+        {
+            IODailyDataConstruction DailyDB = new IODailyDataConstruction();
+            try
+            {
+                // 工事日報データ取得
+                string strSQL = string.Format(" WHERE CONSTRUCTIONCODE = {0}", m_ConstructionCode);
+                strSQL += string.Format(" AND PERSONCODE = {0}", m_PersonCode);
+                // 印刷範囲が指定されていた場合は日付指定
+                if (m_PrintRange == (int)FrmPrintConfirmation.PrintSelFlg.Range)
+                {
+                    //strSQL += string.Format(" AND (TO_DATE('{0}', 'YYYY/MM/DD') <= TRUNC(DailyDataDate)", m_PrintStartDate.ToShortDateString());
+                    //strSQL += string.Format(" AND TRUNC(DailyDataDate) <= TO_DATE('{0}', 'YYYY/MM/DD'))", m_PrintCompDate.ToShortDateString());
+                    strSQL += string.Format(" AND (STR_TO_DATE('{0}', '%Y/%m/%d') <= DATE(DailyDataDate)", m_PrintStartDate.ToShortDateString());
+                    strSQL += string.Format(" AND DATE(DailyDataDate) <= STR_TO_DATE('{0}', '%Y/%m/%d'))", m_PrintCompDate.ToShortDateString());
+                }
+                strSQL += " ORDER BY DAILYDATADATE";
+                List<DailyDataConstruction> DailyList = new List<DailyDataConstruction>();
+                if (!DailyDB.SelectAction(strSQL, ref DailyList)) return CommonDefine.RetunAnswer.Answer3;
+                if (DailyList.Count == 0) return CommonDefine.RetunAnswer.Answer3;
+
+                ArrayList DetailList = new ArrayList();
+                ArrayList VehiclesList = new ArrayList();
+                ArrayList MaterialsList = new ArrayList();
+                ArrayList SubcontrList = new ArrayList();
+                ArrayList FieldList = new ArrayList();
+
+                string strPageName = string.Empty;
+                foreach (DailyDataConstruction DailyRec in DailyList)
+                {
+                    // 対象日文字列作成
+                    string strTargetDate = DailyRec.DailyDataDate.ToShortDateString();
+                    // 工事日報シートの取得
+                    m_UsedExcel.ExcelSheetGet(s_SheetName, true, strTargetDate.Replace("/", "-"));
+
+                    // データリストクリア
+                    DetailList.Clear();
+                    VehiclesList.Clear();
+                    MaterialsList.Clear();
+                    SubcontrList.Clear();
+                    FieldList.Clear();
+
+                    // テーブルよりデータを取得する
+                    GetDetailList(DailyDB, DailyRec, ref DetailList);
+                    GetVehiclesList(DailyDB, DailyRec, ref VehiclesList);
+                    GetMaterialsList(DailyDB, DailyRec, ref MaterialsList);
+                    GetSubcontrList(DailyDB, DailyRec, ref SubcontrList);
+                    GetFieldList(DailyDB, DailyRec, ref FieldList);
+                    
+                    // 必要ページ数を計算する
+                    int PageCnt = GetToDayPageCnt(DetailList, VehiclesList, MaterialsList, SubcontrList);
+                    // 複数ページ必要時はシート内でコピー
+                    if (PageCnt > 1)
+                    {
+                        // ソース位置作成
+                        string SrcRow = string.Format("1:{0}", s_NumberOfRowInDetail);
+                        // コピー先位置作成
+                        string DestRow = string.Format("{0}:{1}", (s_NumberOfRowInDetail + 1), (s_NumberOfRowInDetail * PageCnt));
+                        // 印刷領域作成
+                        string PrintArea = string.Format("$A$1:$AE${0}", (s_NumberOfRowInDetail * PageCnt));
+
+                        // シートの取得
+                        m_UsedExcel.ExcelSheetGet(s_SheetName, false);
+                        // 明細フォーマットのコピー
+                        m_UsedExcel.ExcelCopyRow(SrcRow, DestRow, PrintArea, PageCnt);
+                    }
+
+                    // ----- ページ編集
+                    // ブロック１編集
+                    CommonDefine.RetunAnswer RARet = SetBlock1Data(DailyRec, PageCnt);
+                    if (RARet != CommonDefine.RetunAnswer.Answer0) return RARet;
+
+                    // 中断処理
+                    if (m_Canceled)
+                    {
+                        //キャンセルされたときにコントロールの値を変更する
+                        this.Invoke(m_canceledDlg);
+                        return CommonDefine.RetunAnswer.Answer0;
+                    }
+
+                    // ブロック２編集
+                    RARet = SetBlock2Data(DetailList);
+                    if (RARet != CommonDefine.RetunAnswer.Answer0) return RARet;
+
+                    // 中断処理
+                    if (m_Canceled)
+                    {
+                        //キャンセルされたときにコントロールの値を変更する
+                        this.Invoke(m_canceledDlg);
+                        return CommonDefine.RetunAnswer.Answer0;
+                    }
+
+                    // ブロック３編集
+                    RARet = SetBlock3Data(VehiclesList);
+                    if (RARet != CommonDefine.RetunAnswer.Answer0) return RARet;
+
+                    // 中断処理
+                    if (m_Canceled)
+                    {
+                        //キャンセルされたときにコントロールの値を変更する
+                        this.Invoke(m_canceledDlg);
+                        return CommonDefine.RetunAnswer.Answer0;
+                    }
+
+                    // ブロック４編集
+                    RARet = SetBlock4Data(MaterialsList);
+                    if (RARet != CommonDefine.RetunAnswer.Answer0) return RARet;
+
+                    // 中断処理
+                    if (m_Canceled)
+                    {
+                        //キャンセルされたときにコントロールの値を変更する
+                        this.Invoke(m_canceledDlg);
+                        return CommonDefine.RetunAnswer.Answer0;
+                    }
+
+                    // ブロック５編集
+                    RARet = SetBlock5Data(SubcontrList);
+                    if (RARet != CommonDefine.RetunAnswer.Answer0) return RARet;
+
+                    // 中断処理
+                    if (m_Canceled)
+                    {
+                        //キャンセルされたときにコントロールの値を変更する
+                        this.Invoke(m_canceledDlg);
+                        return CommonDefine.RetunAnswer.Answer0;
+                    }
+
+                    // ブロック６編集
+                    RARet = SetBlock6Data(FieldList);
+                    if (RARet != CommonDefine.RetunAnswer.Answer0) return RARet;
+
+                    // 中断処理
+                    if (m_Canceled)
+                    {
+                        //キャンセルされたときにコントロールの値を変更する
+                        this.Invoke(m_canceledDlg);
+                        return CommonDefine.RetunAnswer.Answer0;
+                    }
+
+                    // コントロールの表示を変更する
+                    this.Invoke(m_progressDlg, new object[] { ++m_ProgressCount });
+                }
+
+                // コントロールの表示を変更する
+                this.Invoke(m_progressDlg, new object[] { m_ProcessCount });
+
+                return CommonDefine.RetunAnswer.Answer0;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return CommonDefine.RetunAnswer.Answer1;
+            }
+            finally
+            {
+                DailyDB.close(); DailyDB = null;
+            }
+        }
+        #endregion
+
+        #region 取得データ量より必要ページ数を返す
+        /// <summary>
+        /// 取得データ量より必要ページ数を返す
+        /// </summary>
+        /// <returns></returns>
+        private int GetToDayPageCnt(ArrayList DetailList, ArrayList VehiclesList, ArrayList MaterialsLis, ArrayList SubcontrList)
+        {
+            try
+            {
+                int PageCnt = 0;
+
+                // 明細データページ数
+                int workCnt = DetailList.Count / s_FixDetailListRow;
+                if ((DetailList.Count % s_FixDetailListRow) != 0) workCnt++;
+                if (PageCnt < workCnt) PageCnt = workCnt;
+
+                // 車両データページ数
+                workCnt = VehiclesList.Count / s_FixVehiclesListRow;
+                if ((VehiclesList.Count % s_FixVehiclesListRow) != 0) workCnt++;
+                if (PageCnt < workCnt) PageCnt = workCnt;
+
+                // 資材データページ数
+                workCnt = MaterialsLis.Count / s_FixMaterialsListRow;
+                if ((MaterialsLis.Count % s_FixMaterialsListRow) != 0) workCnt++;
+                if (PageCnt < workCnt) PageCnt = workCnt;
+
+                // 業社打ち合わせデータページ数
+                workCnt = SubcontrList.Count / s_FixSubcontrListRow;
+                if ((SubcontrList.Count % s_FixSubcontrListRow) != 0) workCnt++;
+                if (PageCnt < workCnt) PageCnt = workCnt;
+
+                return PageCnt;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return 0;
+            }
+        }
+        #endregion
+
+        #region 日報明細データを取得する
+        /// <summary>
+        /// 日報明細データを取得する
+        /// </summary>
+        /// <param name="DetailDB"></param>
+        /// <param name="DetailList"></param>
+        private void GetDetailList(IODailyDataConstruction DailyDB, DailyDataConstruction DailyRec, ref ArrayList DetailList)
+        {
+            try
+            {
+                string strSQL = "SELECT C.JOBCATEGORYNAME, B.COMPANYNAME, A.TODAYHEADCOUNT, A.TOTALHEADCOUNT,A.TODAYWORK, A.NEXTDAYWORK, A.NEXTDAYHEADCOUNT, A.COMPANYCODE";
+                strSQL += " FROM DAILYDATADETAIL A";
+                strSQL += " LEFT JOIN SUBCONTRACTORMASTER B ON B.COMPANYCODE = A.COMPANYCODE";
+                strSQL += " LEFT JOIN SUBCONTRACTORJOBCATEGORY C ON C.JOBCATEGORYCODE = A.JOBCATEGORYCODE";
+                strSQL += string.Format(" WHERE A.PersonCode = {0}",m_PersonCode);
+                //strSQL += string.Format(" AND A.DailyDataDate = TO_DATE('{0}','YYYY/MM/DD')", DailyRec.DailyDataDate.ToShortDateString());
+                strSQL += string.Format(" AND A.DailyDataDate = STR_TO_DATE('{0}','%Y/%m/%d')", DailyRec.DailyDataDate.ToShortDateString());
+                strSQL += string.Format(" AND A.ConstructionCode = {0}",m_ConstructionCode);
+                strSQL += " ORDER BY A.SEQNO";
+                DailyDB.ExecuteReader(strSQL, ref DetailList);
+
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 日報車両データを取得する
+        /// <summary>
+        /// 日報車両データを取得する
+        /// </summary>
+        /// <param name="DetailDB"></param>
+        /// <param name="VehiclesList"></param>
+        private void GetVehiclesList(IODailyDataConstruction DailyDB, DailyDataConstruction DailyRec, ref ArrayList VehiclesList)
+        {
+            try
+            {
+                //string strSQL = "SELECT A.MODEL, A.PERFORMANCE, A.OWNER, A.DRIVER, TO_CHAR(A.STARTWORKINGTIME, 'HH24:MI:SS'), TO_CHAR(A.ENDWORKINGTIME, 'HH24:MI:SS')";
+                string strSQL = "SELECT A.MODEL, A.PERFORMANCE, A.OWNER, A.DRIVER, DATE_FORMAT(A.STARTWORKINGTIME, '%H:%i:%'), DATE_FORMAT(A.ENDWORKINGTIME, '%H:%i:%')";
+                strSQL += " FROM DAILYDATAVEHICLES A";
+                strSQL += string.Format(" WHERE A.PersonCode = {0}", m_PersonCode);
+                //strSQL += string.Format(" AND A.DailyDataDate = TO_DATE('{0}','YYYY/MM/DD')", DailyRec.DailyDataDate.ToShortDateString());
+                strSQL += string.Format(" AND A.DailyDataDate = STR_TO_DATE('{0}','%Y/%m/%d')", DailyRec.DailyDataDate.ToShortDateString());
+                strSQL += string.Format(" AND A.ConstructionCode = {0}", m_ConstructionCode);
+                strSQL += " ORDER BY A.SEQNO";
+                DailyDB.ExecuteReader(strSQL, ref VehiclesList);
+
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 日報資材データを取得する
+        /// <summary>
+        /// 日報資材データを取得する
+        /// </summary>
+        /// <param name="DetailDB"></param>
+        /// <param name="MaterialsList"></param>
+        private void GetMaterialsList(IODailyDataConstruction DailyDB, DailyDataConstruction DailyRec, ref ArrayList MaterialsList)
+        {
+            try
+            {
+                string strSQL = "SELECT A.MATERIALS, A.QUANTITY, A.PRODUCTION, A.DELIVERY, A.QUALITYCONTROL";
+                strSQL += " FROM DAILYDATAMATERIALS A";
+                strSQL += string.Format(" WHERE A.PersonCode = {0}", m_PersonCode);
+                //strSQL += string.Format(" AND A.DailyDataDate = TO_DATE('{0}','YYYY/MM/DD')", DailyRec.DailyDataDate.ToShortDateString());
+                strSQL += string.Format(" AND A.DailyDataDate = STR_TO_DATE('{0}','%Y/%m/%d')", DailyRec.DailyDataDate.ToShortDateString());
+                strSQL += string.Format(" AND A.ConstructionCode = {0}", m_ConstructionCode);
+                strSQL += " ORDER BY A.SEQNO";
+                DailyDB.ExecuteReader(strSQL, ref MaterialsList);
+
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 日報業者打合せデータを取得する
+        /// <summary>
+        /// 日報業者打合せデータを取得する
+        /// </summary>
+        /// <param name="DetailDB"></param>
+        /// <param name="SubcontrList"></param>
+        private void GetSubcontrList(IODailyDataConstruction DailyDB, DailyDataConstruction DailyRec, ref ArrayList SubcontrList)
+        {
+            try
+            {
+                string strSQL = "SELECT A.ATTENDEE, A.CONTENTSTEXT";
+                strSQL += " FROM DAILYDATASUBCONTRACTORS A";
+                strSQL += string.Format(" WHERE A.PersonCode = {0}", m_PersonCode);
+                //strSQL += string.Format(" AND A.DailyDataDate = TO_DATE('{0}','YYYY/MM/DD')", DailyRec.DailyDataDate.ToShortDateString());
+                strSQL += string.Format(" AND A.DailyDataDate = STR_TO_DATE('{0}','%Y/%m/%d')", DailyRec.DailyDataDate.ToShortDateString());
+                strSQL += string.Format(" AND A.ConstructionCode = {0}", m_ConstructionCode);
+                strSQL += " ORDER BY A.SEQNO";
+                DailyDB.ExecuteReader(strSQL, ref SubcontrList);
+
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 日報現場巡回データを取得する
+        /// <summary>
+        /// 日報現場巡回データを取得する
+        /// </summary>
+        /// <param name="DetailDB"></param>
+        /// <param name="FieldList"></param>
+        private void GetFieldList(IODailyDataConstruction DailyDB, DailyDataConstruction DailyRec, ref ArrayList FieldList)
+        {
+            try
+            {
+                string strSQL = "SELECT A.SEQNO, A.PATROLTIME, A.CONTENTSTEXT";
+                strSQL += " FROM DAILYDATAFIELD A";
+                strSQL += string.Format(" WHERE A.PersonCode = {0}", m_PersonCode);
+                //strSQL += string.Format(" AND A.DailyDataDate = TO_DATE('{0}','YYYY/MM/DD')", DailyRec.DailyDataDate.ToShortDateString());
+                strSQL += string.Format(" AND A.DailyDataDate = STR_TO_DATE('{0}','%Y/%m/%d')", DailyRec.DailyDataDate.ToShortDateString());
+                strSQL += string.Format(" AND A.ConstructionCode = {0}", m_ConstructionCode);
+                strSQL += " ORDER BY A.SEQNO";
+                DailyDB.ExecuteReader(strSQL, ref FieldList);
+
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 印鑑表示
+        /// <summary>
+        ///  印鑑表示
+        /// </summary>
+        private void ExcelPrintCoverSeal(DailyDataConstruction DailyRec, int PageCnt)
+        {
+            IOMPersonInCharge picDB = new IOMPersonInCharge();
+            IOProcessApproval paDB = new IOProcessApproval();
+            try
+            {
+                // 印刷テーブル作成
+                int[] PorsonTable = new int[5] { 0, 0, 0, 0, 0 };
+                string[] PrintNameTable = new string[PorsonTable.Length];
+                string[] PersonNameTable = new string[PorsonTable.Length];
+
+                // 承認データから担当者名を読込む
+                string strSQLSeal = "SELECT B.PERSONCODE, B.DISPLAYSTRING, B.SEALPRINTNAME";
+                strSQLSeal += " FROM PROCESSAPPROVAL A, PERSONINCHARGEMASTER B, SECURITYMASTER C";
+                strSQLSeal += string.Format(" Where A.ConstructionCode = {0}", ConstructionCode.ToString());
+                strSQLSeal += string.Format(" And A.ApprovalCode = {0}", (int)ClsExcute.ApprovalListNo.DRConstructionApproval);
+                strSQLSeal += string.Format(" AND A.ORDERNO = {0}", CommonDefine.s_Default_OrderNo);
+                strSQLSeal += " AND A.SEQNO != 1";
+                strSQLSeal += " AND B.PERSONCODE = A.PERSONCODE";
+                strSQLSeal += " AND C.SECCODE = B.SECCODE";
+                strSQLSeal += " Order By C.SECRANK ASC, B.DISPLAYORDER ASC";
+
+                ArrayList arList = new ArrayList();
+                if (!paDB.ExecuteReader(strSQLSeal, ref arList)) return;
+
+                // 承認データより担当者その他を取得する
+                int PrintCnt = 0;
+                foreach (object[] curRec in arList)
+                {
+                    // 枠分まで
+                    if (PrintCnt > PorsonTable.Length) break;
+
+                    ProcessApproval parec = new ProcessApproval();
+                    PorsonTable[PrintCnt] = CommonMotions.cnvInt(curRec[0]);
+                    PrintNameTable[PrintCnt] = CommonMotions.cnvString(curRec[1]);
+                    PersonNameTable[PrintCnt] = CommonMotions.cnvString(curRec[2]);
+
+                    PrintCnt++;
+                }
+
+                // 担当者をセットする
+                int SetCnt = (PorsonTable.Length - 1);
+                PersonInChargeMaster SalesRec = new PersonInChargeMaster();
+                string strSales = picDB.CreatePrimarykeyString(DailyRec.PersonCode);
+                picDB.SelectAction(strSales, ref SalesRec);
+                PorsonTable[SetCnt] = DailyRec.PersonCode;
+                PrintNameTable[SetCnt] = string.Empty;
+                PersonNameTable[SetCnt] = SalesRec.SealPrintName;
+
+                // テーブル内に同じコードが無いか後から調べる
+                for (int i = PorsonTable.Length - 1; i >= 0; i--)
+                {
+                    for (int ii = i - 1; ii >= 0; ii--)
+                    {
+                        if (PorsonTable[i] == PorsonTable[ii])
+                        {
+                            PorsonTable[i] = 0;
+                            PrintNameTable[i] = "";
+                            break;
+                        }
+                    }
+                }
+
+                // 印鑑を描画する
+                OfficeShapeDefine shapedef = new OfficeShapeDefine();
+                shapedef.ShapeSheetName = s_shapeSheetName;     // 図形シート名称
+                shapedef.ShapeName = s_shapeName;               // 図形名称
+                shapedef.ShapeWidth = s_ShapeSize[0, 0];        // 図形描画サイズ Width
+                shapedef.ShapeHeight = s_ShapeSize[0, 1];       // 図形描画サイズ Height
+
+                int PrintPos = 21;   // Vは21
+                for (int i = 0; i < PorsonTable.Length; i++, PrintPos += 2)
+                {
+                    if (PorsonTable[i] == 0) continue;
+
+                    shapedef.ShapeDrowPointX = s_CoverSealPoint[i, 0] + (s_NextImageY * PageCnt);   // 図形描画位置 X
+                    shapedef.ShapeDrowPointY = s_CoverSealPoint[i, 1] + (s_NextImageY * PageCnt);   // 図形描画位置 Y
+                    shapedef.DrowText = PersonNameTable[i];                      // 描画文字列
+                    int ifontSize = PersonNameTable[i].Length - 1;
+                    if (ifontSize > 4) ifontSize = 4;
+                    shapedef.FontSize = s_EstimateSeal1FontSize[ifontSize];     // フォントサイズ
+                    // 図形描画
+                    m_UsedExcel.ExcelCopyShape(shapedef);
+
+                    // タイトル印字
+                    string strChar = CommonMotions.cnvNumberToAlphaCharacter(PrintPos);
+                    int RowPoint = 1 + (s_NumberOfRowInDetail * i);
+                    if (PrintPos > 25) strChar = "A" + strChar;
+                    if (PrintNameTable[i].Length != 0)
+                    {
+                        m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString(strChar, RowPoint), PrintNameTable[i]);
+                    }
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                paDB.close(); paDB = null;
+                picDB.close(); picDB = null;
+            }
+        }
+        #endregion
+
+        #region ブロック１データセット（ヘッダー部作成）
+        /// <summary>
+        /// ブロック１データセット（ヘッダー部作成）
+        /// </summary>
+        /// <returns></returns>
+        private CommonDefine.RetunAnswer SetBlock1Data(DailyDataConstruction DailyRec, int PageCnt)
+        {
+            try
+            {
+                // 日付セット
+                string strJapanDate = CommonMotions.cnvJapaneseCalendar(DailyRec.DailyDataDate);
+                string Wareki = CommonMotions.GetNameOfAnEra(DailyRec.DailyDataDate);
+                for (int i = 0; i < PageCnt; i++)
+                {
+                    int RowCnt = 2 + (s_NumberOfRowInDetail * i);
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("M", RowCnt), Wareki);                                // 和暦
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("N", RowCnt),
+                                                strJapanDate.Substring(0, strJapanDate.IndexOf("年")).Replace(Wareki, ""));      // 年
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("P", RowCnt),
+                                                DailyRec.DailyDataDate.Month.ToString("00"));                                   // 月
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("R", RowCnt),
+                                                DailyRec.DailyDataDate.Day.ToString("00"));                                     // 日
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("T", RowCnt),
+                                                CommonDefine.DayOfTheWeekString[(int)DailyRec.DailyDataDate.DayOfWeek]);        // 曜日
+
+                    RowCnt = 3 + (s_NumberOfRowInDetail * i);
+                    // 工事名称セット
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("C", RowCnt),
+                                                m_ConstructionBaseInfoDetail.DetailString);
+                    // 天気
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("P", RowCnt),
+                                                DailyRec.Weather);
+
+                    // 判子印字
+                    ExcelPrintCoverSeal(DailyRec, i);
+                }
+                return CommonDefine.RetunAnswer.Answer0;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return CommonDefine.RetunAnswer.Answer1;
+            }
+            finally
+            {
+            }
+        }
+        #endregion
+
+        #region ブロック２データセット（日報明細）
+        /// <summary>
+        /// ブロック２データセット（日報明細）
+        /// </summary>
+        /// <returns></returns>
+        private CommonDefine.RetunAnswer SetBlock2Data(ArrayList DetailList)
+        {
+            try
+            {
+                int PageCnt = 0;
+                int LineCnt = s_FixDetailStartLine;
+                int RowCnt = 1;
+                int NoCnt = 1;
+                double Total1 = 0;
+                double Total2 = 0;
+                double Total3 = 0;
+                foreach(object[] objRec in DetailList)
+                {
+                    if (RowCnt > s_FixDetailListRow)
+                    {
+                        // 当日人員
+                        m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("D", LineCnt), Total1.ToString("#,0.0"));
+                        // 累計人員
+                        m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("E", LineCnt), Total2.ToString("#,0.0"));
+                        // 翌日予定人員	
+                        m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("AD", LineCnt), Total3.ToString("#,0.0"));
+
+                        PageCnt++;
+                        LineCnt = s_FixDetailStartLine + (PageCnt * s_NumberOfRowInDetail);
+                        RowCnt = 1;
+                    }
+
+                    // №
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("A", LineCnt), NoCnt.ToString());
+                    // 職　種
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("B", LineCnt), CommonMotions.cnvString(objRec[0]));
+                    // 業者名
+                    if (CommonMotions.cnvString(objRec[1]).Length == 0 && CommonMotions.cnvInt(objRec[7]) == -1)
+                        m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("C", LineCnt), s_MyCompanyName);
+                    else
+                        m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("C", LineCnt), CommonMotions.cnvString(objRec[1]));
+                    // 当日人員
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("D", LineCnt), CommonMotions.cnvDouble(objRec[2]).ToString("#,0.0"));
+                    Total1 += CommonMotions.cnvDouble(objRec[2]);
+                    // 累計人員
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("E", LineCnt), CommonMotions.cnvDouble(objRec[3]).ToString("#,0.0"));
+                    Total2 += CommonMotions.cnvDouble(objRec[3]);
+                    // 当日作業内容
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("F", LineCnt), CommonMotions.cnvString(objRec[4]));
+                    // 翌日作業内容
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("R", LineCnt), CommonMotions.cnvString(objRec[5]));
+                    // 翌日予定人員	
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("AD", LineCnt), CommonMotions.cnvDouble(objRec[6]).ToString("#,0.0"));
+                    Total3 += CommonMotions.cnvDouble(objRec[6]);
+
+                    RowCnt++;
+                    LineCnt++;
+                    NoCnt++;
+                }
+                // 合計印刷
+                if (Total1 != 0)
+                {
+                    LineCnt = (s_FixDetailStartLine + s_FixDetailListRow) + (PageCnt * s_NumberOfRowInDetail);
+
+                    // 当日人員
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("D", LineCnt), Total1.ToString("#,0.0"));
+                    // 累計人員
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("E", LineCnt), Total2.ToString("#,0.0"));
+                    // 翌日予定人員	
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("AD", LineCnt), Total3.ToString("#,0.0"));
+                }
+
+                return CommonDefine.RetunAnswer.Answer0;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return CommonDefine.RetunAnswer.Answer1;
+            }
+        }
+        #endregion
+
+        #region ブロック３データセット（車両）
+        /// <summary>
+        /// ブロック３データセット（車両）
+        /// </summary>
+        /// <returns></returns>
+        private CommonDefine.RetunAnswer SetBlock3Data(ArrayList VehiclesList)
+        {
+            try
+            {
+                int PageCnt = 0;
+                int LineCnt = s_FixVehiclesStartLine;
+                int RowCnt = 1;
+                int NoCnt = 1;
+                foreach (object[] objRec in VehiclesList)
+                {
+                    if (RowCnt > s_FixVehiclesListRow)
+                    {
+                        PageCnt++;
+                        LineCnt = s_FixVehiclesStartLine + (PageCnt * s_NumberOfRowInDetail);
+                        RowCnt = 1;
+                    }
+
+                    // №
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("A", LineCnt), NoCnt.ToString());
+                    // 機　　種
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("B", LineCnt), CommonMotions.cnvString(objRec[0]));
+                    // 性能
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("D", LineCnt), CommonMotions.cnvString(objRec[1]));
+                    // 所有会社
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("F", LineCnt), CommonMotions.cnvString(objRec[2]));
+                    // 当日運転者
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("M", LineCnt), CommonMotions.cnvString(objRec[3]));
+                    // 作業時間開始
+                    DateTime StartTime = CommonMotions.cnvDate(objRec[4]);
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("S", LineCnt), StartTime.ToShortTimeString());
+                    // 作業時間終了
+                    DateTime EndTime = CommonMotions.cnvDate(objRec[5]);
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("Z", LineCnt), EndTime.ToShortTimeString());
+
+                    RowCnt++;
+                    LineCnt++;
+                    NoCnt++;
+                }
+
+                return CommonDefine.RetunAnswer.Answer0;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return CommonDefine.RetunAnswer.Answer1;
+            }
+        }
+        #endregion
+
+        #region ブロック４データセット（資材）
+        /// <summary>
+        /// ブロック４データセット（資材）
+        /// </summary>
+        /// <returns></returns>
+        private CommonDefine.RetunAnswer SetBlock4Data(ArrayList MaterialsList)
+        {
+            try
+            {
+                int PageCnt = 0;
+                int LineCnt = s_FixMaterialsStartLine;
+                int RowCnt = 1;
+                int NoCnt = 1;
+                foreach (object[] objRec in MaterialsList)
+                {
+                    if (RowCnt > s_FixMaterialsListRow)
+                    {
+                        PageCnt++;
+                        LineCnt = s_FixMaterialsStartLine + (PageCnt * s_NumberOfRowInDetail);
+                        RowCnt = 1;
+                    }
+
+                    // №
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("A", LineCnt), NoCnt.ToString());
+                    // 資材名
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("B", LineCnt), CommonMotions.cnvString(objRec[0]));
+                    // 数量
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("D", LineCnt), CommonMotions.cnvInt(objRec[1]).ToString("#,0"));
+                    // 製作会社
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("F", LineCnt), CommonMotions.cnvString(objRec[2]));
+                    // 納品業者
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("M", LineCnt), CommonMotions.cnvString(objRec[3]));
+                    // 品質管理次項												
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("S", LineCnt), CommonMotions.cnvString(objRec[4]));
+
+                    RowCnt++;
+                    LineCnt++;
+                    NoCnt++;
+                }
+
+                return CommonDefine.RetunAnswer.Answer0;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return CommonDefine.RetunAnswer.Answer1;
+            }
+        }
+        #endregion
+
+        #region ブロック５データセット（業者打合せ）
+        /// <summary>
+        /// ブロック５データセット（業者打合せ）
+        /// </summary>
+        /// <returns></returns>
+        private CommonDefine.RetunAnswer SetBlock5Data(ArrayList SubcontrList)
+        {
+            try
+            {
+                int PageCnt = 0;
+                int LineCnt = s_FixSubcontrStartLine;
+                int RowCnt = 1;
+                int NoCnt = 1;
+                foreach (object[] objRec in SubcontrList)
+                {
+                    if (RowCnt > s_FixSubcontrListRow)
+                    {
+                        PageCnt++;
+                        LineCnt = s_FixSubcontrStartLine + (PageCnt * s_NumberOfRowInDetail);
+                        RowCnt = 1;
+                    }
+
+                    // №
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("A", LineCnt), NoCnt.ToString());
+                    // 出席者
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("B", LineCnt), CommonMotions.cnvString(objRec[0]));
+                    // 内容及び指示事項
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("D", LineCnt), CommonMotions.cnvString(objRec[1]));
+
+                    RowCnt++;
+                    LineCnt++;
+                    NoCnt++;
+                }
+
+                return CommonDefine.RetunAnswer.Answer0;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return CommonDefine.RetunAnswer.Answer1;
+            }
+        }
+
+        #endregion
+
+        #region ブロック６データセット（現場巡回）
+        /// <summary>
+        /// ブロック６データセット（現場巡回）
+        /// </summary>
+        /// <returns></returns>
+        private CommonDefine.RetunAnswer SetBlock6Data(ArrayList FieldList)
+        {
+            try
+            {
+                int LineCnt = 0;
+                int RowCnt = s_FixFeildStartLine;
+                int SeqNo = 0;
+                foreach (object[] objRec in FieldList)
+                {
+
+                    SeqNo = CommonMotions.cnvInt(objRec[0]);
+                    LineCnt = RowCnt + (SeqNo - 1);
+                    // 時間帯
+                    DateTime FieldTime = CommonMotions.cnvDate(objRec[1]);
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("C", LineCnt), FieldTime.ToShortTimeString());
+                    // 巡回状況
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("D", LineCnt), CommonMotions.cnvString(objRec[2]));
+                }
+
+                return CommonDefine.RetunAnswer.Answer0;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return CommonDefine.RetunAnswer.Answer1;
+            }
+        }
+
+        #endregion
+
+        #region 印刷ページを取得するために工事日報データの対象件数を取得する
+        /// <summary>
+        /// 印刷ページを取得するために工事日報データの対象件数を取得する
+        /// </summary>
+        /// <returns></returns>
+        private int GetProcessCount()
+        {
+            IODailyDataConstruction DailyDB = new IODailyDataConstruction();
+            try
+            {
+                ArrayList arData = new ArrayList();
+                string strSQL = "SELECT A.CONSTRUCTIONCODE, A.DAILYDATADATE FROM DailyDataConstruction A";
+                strSQL += string.Format(" WHERE A.CONSTRUCTIONCODE = {0}", m_ConstructionCode);
+                strSQL += " ORDER BY A.CONSTRUCTIONCODE, A.DAILYDATADATE";
+
+                // SQL実行
+                if (!DailyDB.ExecuteReader(strSQL, ref arData)) return arData.Count;
+
+                return arData.Count;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return 0;
+            }
+            finally
+            {
+                DailyDB.close(); DailyDB = null;
+            }
+        }
+        #endregion
+
+    }
+}
